Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## baseCode.dataStructure.tree
Class BinaryTreeNode

    java.lang.Object
      baseCode.common.Visitable
          baseCode.dataStructure.tree.BinaryTreeNode

All Implemented Interfaces:
  java.lang.Comparable

public class BinaryTreeNode
extends Visitable

Copyright (c) 2004 Columbia University

Version:
  $Id: BinaryTreeNode.java,v 1.1 2004/07/29 08:38:49 pavlidis Exp $
Author:
  pavlidis

Constructor Summary
`BinaryTreeNode()`
`BinaryTreeNode(java.lang.Object contents)`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`java.lang.Object` | `getContents()`
`BinaryTreeNode` | `getLeft()`
`BinaryTreeNode` | `getRight()`
`boolean` | `isLeaf()`
`void` | `setContents(java.lang.Object contents)`
`void` | `setLeft(BinaryTreeNode left)`
`void` | `setRight(BinaryTreeNode right)`

Methods inherited from class baseCode.common.Visitable
`isVisited, mark, unMark`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinaryTreeNode

    public BinaryTreeNode(java.lang.Object contents)

Parameters:
  `contents` -

### BinaryTreeNode

    public BinaryTreeNode()

Method Detail

### compareTo

    public int compareTo(java.lang.Object o)

### getContents

    public java.lang.Object getContents()

  Returns:

### setContents

    public void setContents(java.lang.Object contents)

  Parameters:
    `contents` -

### getLeft

    public BinaryTreeNode getLeft()

  Returns:

### setLeft

    public void setLeft(BinaryTreeNode left)

  Parameters:
    `left` -

### getRight

    public BinaryTreeNode getRight()

  Returns:

### setRight

    public void setRight(BinaryTreeNode right)

  Parameters:
    `right` -

### isLeaf

    public boolean isLeaf()

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 Columbia University. All Rights Reserved.